post
https://{instance_zuid}.api.zesty.io/v1/content/models//items/publishings/batch
Publishes multiple content items at once. This endpoint requires that all content items belong to the same content model.
Request body is an array of objects. Each object represents a content item. Available object property values:
Body: raw JSON
| name | description |
|---|---|
| ZUID | [string] Required. The ZUID of the content item to be published. |
| version | [int] Required. The specific item version you want to be published. |
| publishAt | [date] Required. The date that the item will be published. If "now" is provided, the item will be published immediately. |
| unpublishAt | [date] Required. The date the item will be unpublished. If "never" is provided, the item will be published forever, starting from the publishAt date. |
CDN cache purging
By default, the API will purge CDN cache on an instance-level scope. If a website experienced instability after batch publishing items, consider adding a purge scope in Settings or by using the Create Setting endpoint. The payload should be:
{
"category": "general",
"keyFriendly": "Purge Item Scope",
"key": "purge_item_scope",
"value": "model",
"admin": true,
"dataType": "dropdown",
"options": "instance:Instance-level scope;model:Model-level scope;item:Item-level scope",
"tips": "Changes the scope of purging the CDN cache when an item is published or unpublished."
}
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
